;
! function() {
    try {
        var e = "undefined" != typeof globalThis ? globalThis : "undefined" != typeof global ? global : "undefined" != typeof window ? window : "undefined" != typeof self ? self : {},
            n = (new e.Error).stack;
        n && ((e._debugIds || (e._debugIds = {}))[n] = "53268d17-4187-abde-2df3-ae6d309a4340")
    } catch (e) {}
}();
(globalThis.TURBOPACK || (globalThis.TURBOPACK = [])).push(["object" == typeof document ? document.currentScript : void 0, 830141, (t, e, r) => {
    var n = {
            229: function(t) {
                var e, r, n, o = t.exports = {};

                function i() {
                    throw Error("setTimeout has not been defined")
                }

                function f() {
                    throw Error("clearTimeout has not been defined")
                }
                try {
                    e = "function" == typeof setTimeout ? setTimeout : i
                } catch (t) {
                    e = i
                }
                try {
                    r = "function" == typeof clearTimeout ? clearTimeout : f
                } catch (t) {
                    r = f
                }

                function a(t) {
                    if (e === setTimeout) return setTimeout(t, 0);
                    if ((e === i || !e) && setTimeout) return e = setTimeout, setTimeout(t, 0);
                    try {
                        return e(t, 0)
                    } catch (r) {
                        try {
                            return e.call(null, t, 0)
                        } catch (r) {
                            return e.call(this, t, 0)
                        }
                    }
                }
                var u = [],
                    s = !1,
                    h = -1;

                function c() {
                    s && n && (s = !1, n.length ? u = n.concat(u) : h = -1, u.length && l())
                }

                function l() {
                    if (!s) {
                        var t = a(c);
                        s = !0;
                        for (var e = u.length; e;) {
                            for (n = u, u = []; ++h < e;) n && n[h].run();
                            h = -1, e = u.length
                        }
                        n = null, s = !1,
                            function(t) {
                                if (r === clearTimeout) return clearTimeout(t);
                                if ((r === f || !r) && clearTimeout) return r = clearTimeout, clearTimeout(t);
                                try {
                                    r(t)
                                } catch (e) {
                                    try {
                                        return r.call(null, t)
                                    } catch (e) {
                                        return r.call(this, t)
                                    }
                                }
                            }(t)
                    }
                }

                function p(t, e) {
                    this.fun = t, this.array = e
                }

                function y() {}
                o.nextTick = function(t) {
                    var e = Array(arguments.length - 1);
                    if (arguments.length > 1)
                        for (var r = 1; r < arguments.length; r++) e[r - 1] = arguments[r];
                    u.push(new p(t, e)), 1 !== u.length || s || a(l)
                }, p.prototype.run = function() {
                    this.fun.apply(null, this.array)
                }, o.title = "browser", o.browser = !0, o.env = {}, o.argv = [], o.version = "", o.versions = {}, o.on = y, o.addListener = y, o.once = y, o.off = y, o.removeListener = y, o.removeAllListeners = y, o.emit = y, o.prependListener = y, o.prependOnceListener = y, o.listeners = function(t) {
                    return []
                }, o.binding = function(t) {
                    throw Error("process.binding is not supported")
                }, o.cwd = function() {
                    return "/"
                }, o.chdir = function(t) {
                    throw Error("process.chdir is not supported")
                }, o.umask = function() {
                    return 0
                }
            }
        },
        o = {};

    function i(t) {
        var e = o[t];
        if (void 0 !== e) return e.exports;
        var r = o[t] = {
                exports: {}
            },
            f = !0;
        try {
            n[t](r, r.exports, i), f = !1
        } finally {
            f && delete o[t]
        }
        return r.exports
    }
    i.ab = "/ROOT/node_modules/.pnpm/next@16.2.6_@babel+core@7.29.0_@opentelemetry+api@1.9.1_babel-plugin-react-compiler@1.0_010f4035fa80b5f36590678868a3e0b1/node_modules/next/dist/compiled/process/", e.exports = i(229)
}, 284553, (t, e, r) => {
    "use strict";
    var n, o;
    e.exports = (null == (n = t.g.process) ? void 0 : n.env) && "object" == typeof(null == (o = t.g.process) ? void 0 : o.env) ? t.g.process : t.r(830141)
}, 93257, (t, e, r) => {
    var n = {
            675: function(t, e) {
                "use strict";
                e.byteLength = function(t) {
                    var e = u(t),
                        r = e[0],
                        n = e[1];
                    return (r + n) * 3 / 4 - n
                }, e.toByteArray = function(t) {
                    var e, r, i = u(t),
                        f = i[0],
                        a = i[1],
                        s = new o((f + a) * 3 / 4 - a),
                        h = 0,
                        c = a > 0 ? f - 4 : f;
                    for (r = 0; r < c; r += 4) e = n[t.charCodeAt(r)] << 18 | n[t.charCodeAt(r + 1)] << 12 | n[t.charCodeAt(r + 2)] << 6 | n[t.charCodeAt(r + 3)], s[h++] = e >> 16 & 255, s[h++] = e >> 8 & 255, s[h++] = 255 & e;
                    return 2 === a && (e = n[t.charCodeAt(r)] << 2 | n[t.charCodeAt(r + 1)] >> 4, s[h++] = 255 & e), 1 === a && (e = n[t.charCodeAt(r)] << 10 | n[t.charCodeAt(r + 1)] << 4 | n[t.charCodeAt(r + 2)] >> 2, s[h++] = e >> 8 & 255, s[h++] = 255 & e), s
                }, e.fromByteArray = function(t) {
                    for (var e, n = t.length, o = n % 3, i = [], f = 0, a = n - o; f < a; f += 16383) i.push(function(t, e, n) {
                        for (var o, i = [], f = e; f < n; f += 3) o = (t[f] << 16 & 0xff0000) + (t[f + 1] << 8 & 65280) + (255 & t[f + 2]), i.push(r[o >> 18 & 63] + r[o >> 12 & 63] + r[o >> 6 & 63] + r[63 & o]);
                        return i.join("")
                    }(t, f, f + 16383 > a ? a : f + 16383));
                    return 1 === o ? i.push(r[(e = t[n - 1]) >> 2] + r[e << 4 & 63] + "==") : 2 === o && i.push(r[(e = (t[n - 2] << 8) + t[n - 1]) >> 10] + r[e >> 4 & 63] + r[e << 2 & 63] + "="), i.join("")
                };
                for (var r = [], n = [], o = "u" > typeof Uint8Array ? Uint8Array : Array, i = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/", f = 0, a = i.length; f < a; ++f) r[f] = i[f], n[i.charCodeAt(f)] = f;

                function u(t) {
                    var e = t.length;
                    if (e % 4 > 0) throw Error("Invalid string. Length must be a multiple of 4");
                    var r = t.indexOf("="); - 1 === r && (r = e);
                    var n = r === e ? 0 : 4 - r % 4;
                    return [r, n]
                }
                n[45] = 62, n[95] = 63
            },
            72: function(t, e, r) {
                "use strict";
                var n = r(675),
                    o = r(783),
                    i = "function" == typeof Symbol && "function" == typeof Symbol.for ? Symbol.for("nodejs.util.inspect.custom") : null;

                function f(t) {
                    if (t > 0x7fffffff) throw RangeError('The value "' + t + '" is invalid for option "size"');
                    var e = new Uint8Array(t);
                    return Object.setPrototypeOf(e, a.prototype), e
                }

                function a(t, e, r) {
                    if ("number" == typeof t) {
                        if ("string" == typeof e) throw TypeError('The "string" argument must be of type string. Received type number');
                        return h(t)
                    }
                    return u(t, e, r)
                }

                function u(t, e, r) {
                    if ("string" == typeof t) {
                        var n = t,
                            o = e;
                        if (("string" != typeof o || "" === o) && (o = "utf8"), !a.isEncoding(o)) throw TypeError("Unknown encoding: " + o);
                        var i = 0 | p(n, o),
                            u = f(i),
                            s = u.write(n, o);
                        return s !== i && (u = u.slice(0, s)), u
                    }
                    if (ArrayBuffer.isView(t)) return c(t);
                    if (null == t) throw TypeError("The first argument must be one of type string, Buffer, ArrayBuffer, Array, or Array-like Object. Received type " + typeof t);
                    if (L(t, ArrayBuffer) || t && L(t.buffer, ArrayBuffer) || "u" > typeof SharedArrayBuffer && (L(t, SharedArrayBuffer) || t && L(t.buffer, SharedArrayBuffer))) return function(t, e, r) {
                        var n;
                        if (e < 0 || t.byteLength < e) throw RangeError('"offset" is outside of buffer bounds');
                        if (t.byteLength < e + (r || 0)) throw RangeError('"length" is outside of buffer bounds');
                        return Object.setPrototypeOf(n = void 0 === e && void 0 === r ? new Uint8Array(t) : void 0 === r ? new Uint8Array(t, e) : new Uint8Array(t, e, r), a.prototype), n
                    }(t, e, r);
                    if ("number" == typeof t) throw TypeError('The "value" argument must not be of type number. Received type number');
                    var h = t.valueOf && t.valueOf();
                    if (null != h && h !== t) return a.from(h, e, r);
                    var y = function(t) {
                        if (a.isBuffer(t)) {
                            var e = 0 | l(t.length),
                                r = f(e);
                            return 0 === r.length || t.copy(r, 0, 0, e), r
                        }
                        return void 0 !== t.length ? "number" != typeof t.length || function(t) {
                            return t != t
                        }(t.length) ? f(0) : c(t) : "Buffer" === t.type && Array.isArray(t.data) ? c(t.data) : void 0
                    }(t);
                    if (y) return y;
                    if ("u" > typeof Symbol && null != Symbol.toPrimitive && "function" == typeof t[Symbol.toPrimitive]) return a.from(t[Symbol.toPrimitive]("string"), e, r);
                    throw TypeError("The first argument must be one of type string, Buffer, ArrayBuffer, Array, or Array-like Object. Received type " + typeof t)
                }

                function s(t) {
                    if ("number" != typeof t) throw TypeError('"size" argument must be of type number');
                    if (t < 0) throw RangeError('The value "' + t + '" is invalid for option "size"')
                }

                function h(t) {
                    return s(t), f(t < 0 ? 0 : 0 | l(t))
                }

                function c(t) {
                    for (var e = t.length < 0 ? 0 : 0 | l(t.length), r = f(e), n = 0; n < e; n += 1) r[n] = 255 & t[n];
                    return r
                }
                e.Buffer = a, e.SlowBuffer = function(t) {
                    return +t != t && (t = 0), a.alloc(+t)
                }, e.INSPECT_MAX_BYTES = 50, e.kMaxLength = 0x7fffffff, a.TYPED_ARRAY_SUPPORT = function() {
                    try {
                        var t = new Uint8Array(1),
                            e = {
                                foo: function() {
                                    return 42
                                }
                            };
                        return Object.setPrototypeOf(e, Uint8Array.prototype), Object.setPrototypeOf(t, e), 42 === t.foo()
                    } catch (t) {
                        return !1
                    }
                }(), !a.TYPED_ARRAY_SUPPORT && "u" > typeof console && "function" == typeof console.error && console.error("This browser lacks typed array (Uint8Array) support which is required by `buffer` v5.x. Use `buffer` v4.x if you require old browser support."), Object.defineProperty(a.prototype, "parent", {
                    enumerable: !0,
                    get: function() {
                        if (a.isBuffer(this)) return this.buffer
                    }
                }), Object.defineProperty(a.prototype, "offset", {
                    enumerable: !0,
                    get: function() {
                        if (a.isBuffer(this)) return this.byteOffset
                    }
                }), a.poolSize = 8192, a.from = function(t, e, r) {
                    return u(t, e, r)
                }, Object.setPrototypeOf(a.prototype, Uint8Array.prototype), Object.setPrototypeOf(a, Uint8Array), a.alloc = function(t, e, r) {
                    return (s(t), t <= 0) ? f(t) : void 0 !== e ? "string" == typeof r ? f(t).fill(e, r) : f(t).fill(e) : f(t)
                }, a.allocUnsafe = function(t) {
                    return h(t)
                }, a.allocUnsafeSlow = function(t) {
                    return h(t)
                };

                function l(t) {
                    if (t >= 0x7fffffff) throw RangeError("Attempt to allocate Buffer larger than maximum size: 0x7fffffff bytes");
                    return 0 | t
                }

                function p(t, e) {
                    if (a.isBuffer(t)) return t.length;
                    if (ArrayBuffer.isView(t) || L(t, ArrayBuffer)) return t.byteLength;
                    if ("string" != typeof t) throw TypeError('The "string" argument must be one of type string, Buffer, or ArrayBuffer. Received type ' + typeof t);
                    var r = t.length,
                        n = arguments.length > 2 && !0 === arguments[2];
                    if (!n && 0 === r) return 0;
                    for (var o = !1;;) switch (e) {
                        case "ascii":
                        case "latin1":
                        case "binary":
                            return r;
                        case "utf8":
                        case "utf-8":
                            return B(t).length;
                        case "ucs2":
                        case "ucs-2":
                        case "utf16le":
                        case "utf-16le":
                            return 2 * r;
                        case "hex":
                            return r >>> 1;
                        case "base64":
                            return R(t).length;
                        default:
                            if (o) return n ? -1 : B(t).length;
                            e = ("" + e).toLowerCase(), o = !0
                    }
                }

                function y(t, e, r) {
                    var o, i, f, a = !1;
                    if ((void 0 === e || e < 0) && (e = 0), e > this.length || ((void 0 === r || r > this.length) && (r = this.length), r <= 0 || (r >>>= 0) <= (e >>>= 0))) return "";
                    for (t || (t = "utf8");;) switch (t) {
                        case "hex":
                            return function(t, e, r) {
                                var n = t.length;
                                (!e || e < 0) && (e = 0), (!r || r < 0 || r > n) && (r = n);
                                for (var o = "", i = e; i < r; ++i) o += S[t[i]];
                                return o
                            }(this, e, r);
                        case "utf8":
                        case "utf-8":
                            return A(this, e, r);
                        case "ascii":
                            return function(t, e, r) {
                                var n = "";
                                r = Math.min(t.length, r);
                                for (var o = e; o < r; ++o) n += String.fromCharCode(127 & t[o]);
                                return n
                            }(this, e, r);
                        case "latin1":
                        case "binary":
                            return function(t, e, r) {
                                var n = "";
                                r = Math.min(t.length, r);
                                for (var o = e; o < r; ++o) n += String.fromCharCode(t[o]);
                                return n
                            }(this, e, r);
                        case "base64":
                            return o = this, i = e, f = r, 0 === i && f === o.length ? n.fromByteArray(o) : n.fromByteArray(o.slice(i, f));
                        case "ucs2":
                        case "ucs-2":
                        case "utf16le":
                        case "utf-16le":
                            return function(t, e, r) {
                                for (var n = t.slice(e, r), o = "", i = 0; i < n.length; i += 2) o += String.fromCharCode(n[i] + 256 * n[i + 1]);
                                return o
                            }(this, e, r);
                        default:
                            if (a) throw TypeError("Unknown encoding: " + t);
                            t = (t + "").toLowerCase(), a = !0
                    }
                }

                function d(t, e, r) {
                    var n = t[e];
                    t[e] = t[r], t[r] = n
                }

                function g(t, e, r, n, o) {
                    var i;
                    if (0 === t.length) return -1;
                    if ("string" == typeof r ? (n = r, r = 0) : r > 0x7fffffff ? r = 0x7fffffff : r < -0x80000000 && (r = -0x80000000), (i = r *= 1) != i && (r = o ? 0 : t.length - 1), r < 0 && (r = t.length + r), r >= t.length)
                        if (o) return -1;
                        else r = t.length - 1;
                    else if (r < 0)
                        if (!o) return -1;
                        else r = 0;
                    if ("string" == typeof e && (e = a.from(e, n)), a.isBuffer(e)) return 0 === e.length ? -1 : E(t, e, r, n, o);
                    if ("number" == typeof e) {
                        if (e &= 255, "function" == typeof Uint8Array.prototype.indexOf)
                            if (o) return Uint8Array.prototype.indexOf.call(t, e, r);
                            else return Uint8Array.prototype.lastIndexOf.call(t, e, r);
                        return E(t, [e], r, n, o)
                    }
                    throw TypeError("val must be string, number or Buffer")
                }

                function E(t, e, r, n, o) {
                    var i, f = 1,
                        a = t.length,
                        u = e.length;
                    if (void 0 !== n && ("ucs2" === (n = String(n).toLowerCase()) || "ucs-2" === n || "utf16le" === n || "utf-16le" === n)) {
                        if (t.length < 2 || e.length < 2) return -1;
                        f = 2, a /= 2, u /= 2, r /= 2
                    }

                    function s(t, e) {
                        return 1 === f ? t[e] : t.readUInt16BE(e * f)
                    }
                    if (o) {
                        var h = -1;
                        for (i = r; i < a; i++)
                            if (s(t, i) === s(e, -1 === h ? 0 : i - h)) {
                                if (-1 === h && (h = i), i - h + 1 === u) return h * f
                            } else -1 !== h && (i -= i - h), h = -1
                    } else
                        for (r + u > a && (r = a - u), i = r; i >= 0; i--) {
                            for (var c = !0, l = 0; l < u; l++)
                                if (s(t, i + l) !== s(e, l)) {
                                    c = !1;
                                    break
                                }
                            if (c) return i
                        }
                    return -1
                }
                a.isBuffer = function(t) {
                    return null != t && !0 === t._isBuffer && t !== a.prototype
                }, a.compare = function(t, e) {
                    if (L(t, Uint8Array) && (t = a.from(t, t.offset, t.byteLength)), L(e, Uint8Array) && (e = a.from(e, e.offset, e.byteLength)), !a.isBuffer(t) || !a.isBuffer(e)) throw TypeError('The "buf1", "buf2" arguments must be one of type Buffer or Uint8Array');
                    if (t === e) return 0;
                    for (var r = t.length, n = e.length, o = 0, i = Math.min(r, n); o < i; ++o)
                        if (t[o] !== e[o]) {
                            r = t[o], n = e[o];
                            break
                        }
                    return r < n ? -1 : +(n < r)
                }, a.isEncoding = function(t) {
                    switch (String(t).toLowerCase()) {
                        case "hex":
                        case "utf8":
                        case "utf-8":
                        case "ascii":
                        case "latin1":
                        case "binary":
                        case "base64":
                        case "ucs2":
                        case "ucs-2":
                        case "utf16le":
                        case "utf-16le":
                            return !0;
                        default:
                            return !1
                    }
                }, a.concat = function(t, e) {
                    if (!Array.isArray(t)) throw TypeError('"list" argument must be an Array of Buffers');
                    if (0 === t.length) return a.alloc(0);
                    if (void 0 === e)
                        for (r = 0, e = 0; r < t.length; ++r) e += t[r].length;
                    var r, n = a.allocUnsafe(e),
                        o = 0;
                    for (r = 0; r < t.length; ++r) {
                        var i = t[r];
                        if (L(i, Uint8Array) && (i = a.from(i)), !a.isBuffer(i)) throw TypeError('"list" argument must be an Array of Buffers');
                        i.copy(n, o), o += i.length
                    }
                    return n
                }, a.byteLength = p, a.prototype._isBuffer = !0, a.prototype.swap16 = function() {
                    var t = this.length;
                    if (t % 2 != 0) throw RangeError("Buffer size must be a multiple of 16-bits");
                    for (var e = 0; e < t; e += 2) d(this, e, e + 1);
                    return this
                }, a.prototype.swap32 = function() {
                    var t = this.length;
                    if (t % 4 != 0) throw RangeError("Buffer size must be a multiple of 32-bits");
                    for (var e = 0; e < t; e += 4) d(this, e, e + 3), d(this, e + 1, e + 2);
                    return this
                }, a.prototype.swap64 = function() {
                    var t = this.length;
                    if (t % 8 != 0) throw RangeError("Buffer size must be a multiple of 64-bits");
                    for (var e = 0; e < t; e += 8) d(this, e, e + 7), d(this, e + 1, e + 6), d(this, e + 2, e + 5), d(this, e + 3, e + 4);
                    return this
                }, a.prototype.toString = function() {
                    var t = this.length;
                    return 0 === t ? "" : 0 == arguments.length ? A(this, 0, t) : y.apply(this, arguments)
                }, a.prototype.toLocaleString = a.prototype.toString, a.prototype.equals = function(t) {
                    if (!a.isBuffer(t)) throw TypeError("Argument must be a Buffer");
                    return this === t || 0 === a.compare(this, t)
                }, a.prototype.inspect = function() {
                    var t = "",
                        r = e.INSPECT_MAX_BYTES;
                    return t = this.toString("hex", 0, r).replace(/(.{2})/g, "$1 ").trim(), this.length > r && (t += " ... "), "<Buffer " + t + ">"
                }, i && (a.prototype[i] = a.prototype.inspect), a.prototype.compare = function(t, e, r, n, o) {
                    if (L(t, Uint8Array) && (t = a.from(t, t.offset, t.byteLength)), !a.isBuffer(t)) throw TypeError('The "target" argument must be one of type Buffer or Uint8Array. Received type ' + typeof t);
                    if (void 0 === e && (e = 0), void 0 === r && (r = t ? t.length : 0), void 0 === n && (n = 0), void 0 === o && (o = this.length), e < 0 || r > t.length || n < 0 || o > this.length) throw RangeError("out of range index");
                    if (n >= o && e >= r) return 0;
                    if (n >= o) return -1;
                    if (e >= r) return 1;
                    if (e >>>= 0, r >>>= 0, n >>>= 0, o >>>= 0, this === t) return 0;
                    for (var i = o - n, f = r - e, u = Math.min(i, f), s = this.slice(n, o), h = t.slice(e, r), c = 0; c < u; ++c)
                        if (s[c] !== h[c]) {
                            i = s[c], f = h[c];
                            break
                        }
                    return i < f ? -1 : +(f < i)
                }, a.prototype.includes = function(t, e, r) {
                    return -1 !== this.indexOf(t, e, r)
                }, a.prototype.indexOf = function(t, e, r) {
                    return g(this, t, e, r, !0)
                }, a.prototype.lastIndexOf = function(t, e, r) {
                    return g(this, t, e, r, !1)
                };

                function A(t, e, r) {
                    r = Math.min(t.length, r);
                    for (var n = [], o = e; o < r;) {
                        var i, f, a, u, s = t[o],
                            h = null,
                            c = s > 239 ? 4 : s > 223 ? 3 : s > 191 ? 2 : 1;
                        if (o + c <= r) switch (c) {
                            case 1:
                                s < 128 && (h = s);
                                break;
                            case 2:
                                (192 & (i = t[o + 1])) == 128 && (u = (31 & s) << 6 | 63 & i) > 127 && (h = u);
                                break;
                            case 3:
                                i = t[o + 1], f = t[o + 2], (192 & i) == 128 && (192 & f) == 128 && (u = (15 & s) << 12 | (63 & i) << 6 | 63 & f) > 2047 && (u < 55296 || u > 57343) && (h = u);
                                break;
                            case 4:
                                i = t[o + 1], f = t[o + 2], a = t[o + 3], (192 & i) == 128 && (192 & f) == 128 && (192 & a) == 128 && (u = (15 & s) << 18 | (63 & i) << 12 | (63 & f) << 6 | 63 & a) > 65535 && u < 1114112 && (h = u)
                        }
                        null === h ? (h = 65533, c = 1) : h > 65535 && (h -= 65536, n.push(h >>> 10 & 1023 | 55296), h = 56320 | 1023 & h), n.push(h), o += c
                    }
                    var l = n,
                        p = l.length;
                    if (p <= 4096) return String.fromCharCode.apply(String, l);
                    for (var y = "", d = 0; d < p;) y += String.fromCharCode.apply(String, l.slice(d, d += 4096));
                    return y
                }

                function b(t, e, r) {
                    if (t % 1 != 0 || t < 0) throw RangeError("offset is not uint");
                    if (t + e > r) throw RangeError("Trying to access beyond buffer length")
                }

                function m(t, e, r, n, o, i) {
                    if (!a.isBuffer(t)) throw TypeError('"buffer" argument must be a Buffer instance');
                    if (e > o || e < i) throw RangeError('"value" argument is out of bounds');
                    if (r + n > t.length) throw RangeError("Index out of range")
                }

                function v(t, e, r, n, o, i) {
                    if (r + n > t.length || r < 0) throw RangeError("Index out of range")
                }

                function _(t, e, r, n, i) {
                    return e *= 1, r >>>= 0, i || v(t, e, r, 4, 34028234663852886e22, -34028234663852886e22), o.write(t, e, r, n, 23, 4), r + 4
                }

                function C(t, e, r, n, i) {
                    return e *= 1, r >>>= 0, i || v(t, e, r, 8, 17976931348623157e292, -17976931348623157e292), o.write(t, e, r, n, 52, 8), r + 8
                }
                a.prototype.write = function(t, e, r, n) {
                    if (void 0 === e) n = "utf8", r = this.length, e = 0;
                    else if (void 0 === r && "string" == typeof e) n = e, r = this.length, e = 0;
                    else if (isFinite(e)) e >>>= 0, isFinite(r) ? (r >>>= 0, void 0 === n && (n = "utf8")) : (n = r, r = void 0);
                    else throw Error("Buffer.write(string, encoding, offset[, length]) is no longer supported");
                    var o, i, f, a, u, s, h, c, l = this.length - e;
                    if ((void 0 === r || r > l) && (r = l), t.length > 0 && (r < 0 || e < 0) || e > this.length) throw RangeError("Attempt to write outside buffer bounds");
                    n || (n = "utf8");
                    for (var p = !1;;) switch (n) {
                        case "hex":
                            return function(t, e, r, n) {
                                r = Number(r) || 0;
                                var o = t.length - r;
                                n ? (n = Number(n)) > o && (n = o) : n = o;
                                var i = e.length;
                                n > i / 2 && (n = i / 2);
                                for (var f = 0; f < n; ++f) {
                                    var a, u = parseInt(e.substr(2 * f, 2), 16);
                                    if ((a = u) != a) break;
                                    t[r + f] = u
                                }
                                return f
                            }(this, t, e, r);
                        case "utf8":
                        case "utf-8":
                            return o = e, i = r, D(B(t, this.length - o), this, o, i);
                        case "ascii":
                            return f = e, a = r, D(w(t), this, f, a);
                        case "latin1":
                        case "binary":
                            return function(t, e, r, n) {
                                return D(w(e), t, r, n)
                            }(this, t, e, r);
                        case "base64":
                            return u = e, s = r, D(R(t), this, u, s);
                        case "ucs2":
                        case "ucs-2":
                        case "utf16le":
                        case "utf-16le":
                            return h = e, c = r, D(function(t, e) {
                                for (var r, n, o = [], i = 0; i < t.length && !((e -= 2) < 0); ++i) n = (r = t.charCodeAt(i)) >> 8, o.push(r % 256), o.push(n);
                                return o
                            }(t, this.length - h), this, h, c);
                        default:
                            if (p) throw TypeError("Unknown encoding: " + n);
                            n = ("" + n).toLowerCase(), p = !0
                    }
                }, a.prototype.toJSON = function() {
                    return {
                        type: "Buffer",
                        data: Array.prototype.slice.call(this._arr || this, 0)
                    }
                }, a.prototype.slice = function(t, e) {
                    var r = this.length;
                    t = ~~t, e = void 0 === e ? r : ~~e, t < 0 ? (t += r) < 0 && (t = 0) : t > r && (t = r), e < 0 ? (e += r) < 0 && (e = 0) : e > r && (e = r), e < t && (e = t);
                    var n = this.subarray(t, e);
                    return Object.setPrototypeOf(n, a.prototype), n
                }, a.prototype.readUIntLE = function(t, e, r) {
                    t >>>= 0, e >>>= 0, r || b(t, e, this.length);
                    for (var n = this[t], o = 1, i = 0; ++i < e && (o *= 256);) n += this[t + i] * o;
                    return n
                }, a.prototype.readUIntBE = function(t, e, r) {
                    t >>>= 0, e >>>= 0, r || b(t, e, this.length);
                    for (var n = this[t + --e], o = 1; e > 0 && (o *= 256);) n += this[t + --e] * o;
                    return n
                }, a.prototype.readUInt8 = function(t, e) {
                    return t >>>= 0, e || b(t, 1, this.length), this[t]
                }, a.prototype.readUInt16LE = function(t, e) {
                    return t >>>= 0, e || b(t, 2, this.length), this[t] | this[t + 1] << 8
                }, a.prototype.readUInt16BE = function(t, e) {
                    return t >>>= 0, e || b(t, 2, this.length), this[t] << 8 | this[t + 1]
                }, a.prototype.readUInt32LE = function(t, e) {
                    return t >>>= 0, e || b(t, 4, this.length), (this[t] | this[t + 1] << 8 | this[t + 2] << 16) + 0x1000000 * this[t + 3]
                }, a.prototype.readUInt32BE = function(t, e) {
                    return t >>>= 0, e || b(t, 4, this.length), 0x1000000 * this[t] + (this[t + 1] << 16 | this[t + 2] << 8 | this[t + 3])
                }, a.prototype.readIntLE = function(t, e, r) {
                    t >>>= 0, e >>>= 0, r || b(t, e, this.length);
                    for (var n = this[t], o = 1, i = 0; ++i < e && (o *= 256);) n += this[t + i] * o;
                    return n >= (o *= 128) && (n -= Math.pow(2, 8 * e)), n
                }, a.prototype.readIntBE = function(t, e, r) {
                    t >>>= 0, e >>>= 0, r || b(t, e, this.length);
                    for (var n = e, o = 1, i = this[t + --n]; n > 0 && (o *= 256);) i += this[t + --n] * o;
                    return i >= (o *= 128) && (i -= Math.pow(2, 8 * e)), i
                }, a.prototype.readInt8 = function(t, e) {
                    return (t >>>= 0, e || b(t, 1, this.length), 128 & this[t]) ? -((255 - this[t] + 1) * 1) : this[t]
                }, a.prototype.readInt16LE = function(t, e) {
                    t >>>= 0, e || b(t, 2, this.length);
                    var r = this[t] | this[t + 1] << 8;
                    return 32768 & r ? 0xffff0000 | r : r
                }, a.prototype.readInt16BE = function(t, e) {
                    t >>>= 0, e || b(t, 2, this.length);
                    var r = this[t + 1] | this[t] << 8;
                    return 32768 & r ? 0xffff0000 | r : r
                }, a.prototype.readInt32LE = function(t, e) {
                    return t >>>= 0, e || b(t, 4, this.length), this[t] | this[t + 1] << 8 | this[t + 2] << 16 | this[t + 3] << 24
                }, a.prototype.readInt32BE = function(t, e) {
                    return t >>>= 0, e || b(t, 4, this.length), this[t] << 24 | this[t + 1] << 16 | this[t + 2] << 8 | this[t + 3]
                }, a.prototype.readFloatLE = function(t, e) {
                    return t >>>= 0, e || b(t, 4, this.length), o.read(this, t, !0, 23, 4)
                }, a.prototype.readFloatBE = function(t, e) {
                    return t >>>= 0, e || b(t, 4, this.length), o.read(this, t, !1, 23, 4)
                }, a.prototype.readDoubleLE = function(t, e) {
                    return t >>>= 0, e || b(t, 8, this.length), o.read(this, t, !0, 52, 8)
                }, a.prototype.readDoubleBE = function(t, e) {
                    return t >>>= 0, e || b(t, 8, this.length), o.read(this, t, !1, 52, 8)
                }, a.prototype.writeUIntLE = function(t, e, r, n) {
                    if (t *= 1, e >>>= 0, r >>>= 0, !n) {
                        var o = Math.pow(2, 8 * r) - 1;
                        m(this, t, e, r, o, 0)
                    }
                    var i = 1,
                        f = 0;
                    for (this[e] = 255 & t; ++f < r && (i *= 256);) this[e + f] = t / i & 255;
                    return e + r
                }, a.prototype.writeUIntBE = function(t, e, r, n) {
                    if (t *= 1, e >>>= 0, r >>>= 0, !n) {
                        var o = Math.pow(2, 8 * r) - 1;
                        m(this, t, e, r, o, 0)
                    }
                    var i = r - 1,
                        f = 1;
                    for (this[e + i] = 255 & t; --i >= 0 && (f *= 256);) this[e + i] = t / f & 255;
                    return e + r
                }, a.prototype.writeUInt8 = function(t, e, r) {
                    return t *= 1, e >>>= 0, r || m(this, t, e, 1, 255, 0), this[e] = 255 & t, e + 1
                }, a.prototype.writeUInt16LE = function(t, e, r) {
                    return t *= 1, e >>>= 0, r || m(this, t, e, 2, 65535, 0), this[e] = 255 & t, this[e + 1] = t >>> 8, e + 2
                }, a.prototype.writeUInt16BE = function(t, e, r) {
                    return t *= 1, e >>>= 0, r || m(this, t, e, 2, 65535, 0), this[e] = t >>> 8, this[e + 1] = 255 & t, e + 2
                }, a.prototype.writeUInt32LE = function(t, e, r) {
                    return t *= 1, e >>>= 0, r || m(this, t, e, 4, 0xffffffff, 0), this[e + 3] = t >>> 24, this[e + 2] = t >>> 16, this[e + 1] = t >>> 8, this[e] = 255 & t, e + 4
                }, a.prototype.writeUInt32BE = function(t, e, r) {
                    return t *= 1, e >>>= 0, r || m(this, t, e, 4, 0xffffffff, 0), this[e] = t >>> 24, this[e + 1] = t >>> 16, this[e + 2] = t >>> 8, this[e + 3] = 255 & t, e + 4
                }, a.prototype.writeIntLE = function(t, e, r, n) {
                    if (t *= 1, e >>>= 0, !n) {
                        var o = Math.pow(2, 8 * r - 1);
                        m(this, t, e, r, o - 1, -o)
                    }
                    var i = 0,
                        f = 1,
                        a = 0;
                    for (this[e] = 255 & t; ++i < r && (f *= 256);) t < 0 && 0 === a && 0 !== this[e + i - 1] && (a = 1), this[e + i] = (t / f | 0) - a & 255;
                    return e + r
                }, a.prototype.writeIntBE = function(t, e, r, n) {
                    if (t *= 1, e >>>= 0, !n) {
                        var o = Math.pow(2, 8 * r - 1);
                        m(this, t, e, r, o - 1, -o)
                    }
                    var i = r - 1,
                        f = 1,
                        a = 0;
                    for (this[e + i] = 255 & t; --i >= 0 && (f *= 256);) t < 0 && 0 === a && 0 !== this[e + i + 1] && (a = 1), this[e + i] = (t / f | 0) - a & 255;
                    return e + r
                }, a.prototype.writeInt8 = function(t, e, r) {
                    return t *= 1, e >>>= 0, r || m(this, t, e, 1, 127, -128), t < 0 && (t = 255 + t + 1), this[e] = 255 & t, e + 1
                }, a.prototype.writeInt16LE = function(t, e, r) {
                    return t *= 1, e >>>= 0, r || m(this, t, e, 2, 32767, -32768), this[e] = 255 & t, this[e + 1] = t >>> 8, e + 2
                }, a.prototype.writeInt16BE = function(t, e, r) {
                    return t *= 1, e >>>= 0, r || m(this, t, e, 2, 32767, -32768), this[e] = t >>> 8, this[e + 1] = 255 & t, e + 2
                }, a.prototype.writeInt32LE = function(t, e, r) {
                    return t *= 1, e >>>= 0, r || m(this, t, e, 4, 0x7fffffff, -0x80000000), this[e] = 255 & t, this[e + 1] = t >>> 8, this[e + 2] = t >>> 16, this[e + 3] = t >>> 24, e + 4
                }, a.prototype.writeInt32BE = function(t, e, r) {
                    return t *= 1, e >>>= 0, r || m(this, t, e, 4, 0x7fffffff, -0x80000000), t < 0 && (t = 0xffffffff + t + 1), this[e] = t >>> 24, this[e + 1] = t >>> 16, this[e + 2] = t >>> 8, this[e + 3] = 255 & t, e + 4
                }, a.prototype.writeFloatLE = function(t, e, r) {
                    return _(this, t, e, !0, r)
                }, a.prototype.writeFloatBE = function(t, e, r) {
                    return _(this, t, e, !1, r)
                }, a.prototype.writeDoubleLE = function(t, e, r) {
                    return C(this, t, e, !0, r)
                }, a.prototype.writeDoubleBE = function(t, e, r) {
                    return C(this, t, e, !1, r)
                }, a.prototype.copy = function(t, e, r, n) {
                    if (!a.isBuffer(t)) throw TypeError("argument should be a Buffer");
                    if (r || (r = 0), n || 0 === n || (n = this.length), e >= t.length && (e = t.length), e || (e = 0), n > 0 && n < r && (n = r), n === r || 0 === t.length || 0 === this.length) return 0;
                    if (e < 0) throw RangeError("targetStart out of bounds");
                    if (r < 0 || r >= this.length) throw RangeError("Index out of range");
                    if (n < 0) throw RangeError("sourceEnd out of bounds");
                    n > this.length && (n = this.length), t.length - e < n - r && (n = t.length - e + r);
                    var o = n - r;
                    if (this === t && "function" == typeof Uint8Array.prototype.copyWithin) this.copyWithin(e, r, n);
                    else if (this === t && r < e && e < n)
                        for (var i = o - 1; i >= 0; --i) t[i + e] = this[i + r];
                    else Uint8Array.prototype.set.call(t, this.subarray(r, n), e);
                    return o
                }, a.prototype.fill = function(t, e, r, n) {
                    if ("string" == typeof t) {
                        if ("string" == typeof e ? (n = e, e = 0, r = this.length) : "string" == typeof r && (n = r, r = this.length), void 0 !== n && "string" != typeof n) throw TypeError("encoding must be a string");
                        if ("string" == typeof n && !a.isEncoding(n)) throw TypeError("Unknown encoding: " + n);
                        if (1 === t.length) {
                            var o, i = t.charCodeAt(0);
                            ("utf8" === n && i < 128 || "latin1" === n) && (t = i)
                        }
                    } else "number" == typeof t ? t &= 255 : "boolean" == typeof t && (t = Number(t));
                    if (e < 0 || this.length < e || this.length < r) throw RangeError("Out of range index");
                    if (r <= e) return this;
                    if (e >>>= 0, r = void 0 === r ? this.length : r >>> 0, t || (t = 0), "number" == typeof t)
                        for (o = e; o < r; ++o) this[o] = t;
                    else {
                        var f = a.isBuffer(t) ? t : a.from(t, n),
                            u = f.length;
                        if (0 === u) throw TypeError('The value "' + t + '" is invalid for argument "value"');
                        for (o = 0; o < r - e; ++o) this[o + e] = f[o % u]
                    }
                    return this
                };
                var T = /[^+/0-9A-Za-z-_]/g;

                function B(t, e) {
                    e = e || 1 / 0;
                    for (var r, n = t.length, o = null, i = [], f = 0; f < n; ++f) {
                        if ((r = t.charCodeAt(f)) > 55295 && r < 57344) {
                            if (!o) {
                                if (r > 56319 || f + 1 === n) {
                                    (e -= 3) > -1 && i.push(239, 191, 189);
                                    continue
                                }
                                o = r;
                                continue
                            }
                            if (r < 56320) {
                                (e -= 3) > -1 && i.push(239, 191, 189), o = r;
                                continue
                            }
                            r = (o - 55296 << 10 | r - 56320) + 65536
                        } else o && (e -= 3) > -1 && i.push(239, 191, 189);
                        if (o = null, r < 128) {
                            if ((e -= 1) < 0) break;
                            i.push(r)
                        } else if (r < 2048) {
                            if ((e -= 2) < 0) break;
                            i.push(r >> 6 | 192, 63 & r | 128)
                        } else if (r < 65536) {
                            if ((e -= 3) < 0) break;
                            i.push(r >> 12 | 224, r >> 6 & 63 | 128, 63 & r | 128)
                        } else if (r < 1114112) {
                            if ((e -= 4) < 0) break;
                            i.push(r >> 18 | 240, r >> 12 & 63 | 128, r >> 6 & 63 | 128, 63 & r | 128)
                        } else throw Error("Invalid code point")
                    }
                    return i
                }

                function w(t) {
                    for (var e = [], r = 0; r < t.length; ++r) e.push(255 & t.charCodeAt(r));
                    return e
                }

                function R(t) {
                    return n.toByteArray(function(t) {
                        if ((t = (t = t.split("=")[0]).trim().replace(T, "")).length < 2) return "";
                        for (; t.length % 4 != 0;) t += "=";
                        return t
                    }(t))
                }

                function D(t, e, r, n) {
                    for (var o = 0; o < n && !(o + r >= e.length) && !(o >= t.length); ++o) e[o + r] = t[o];
                    return o
                }

                function L(t, e) {
                    return t instanceof e || null != t && null != t.constructor && null != t.constructor.name && t.constructor.name === e.name
                }
                var S = function() {
                    for (var t = "0123456789abcdef", e = Array(256), r = 0; r < 16; ++r)
                        for (var n = 16 * r, o = 0; o < 16; ++o) e[n + o] = t[r] + t[o];
                    return e
                }()
            },
            783: function(t, e) {
                e.read = function(t, e, r, n, o) {
                    var i, f, a = 8 * o - n - 1,
                        u = (1 << a) - 1,
                        s = u >> 1,
                        h = -7,
                        c = r ? o - 1 : 0,
                        l = r ? -1 : 1,
                        p = t[e + c];
                    for (c += l, i = p & (1 << -h) - 1, p >>= -h, h += a; h > 0; i = 256 * i + t[e + c], c += l, h -= 8);
                    for (f = i & (1 << -h) - 1, i >>= -h, h += n; h > 0; f = 256 * f + t[e + c], c += l, h -= 8);
                    if (0 === i) i = 1 - s;
                    else {
                        if (i === u) return f ? NaN : 1 / 0 * (p ? -1 : 1);
                        f += Math.pow(2, n), i -= s
                    }
                    return (p ? -1 : 1) * f * Math.pow(2, i - n)
                }, e.write = function(t, e, r, n, o, i) {
                    var f, a, u, s = 8 * i - o - 1,
                        h = (1 << s) - 1,
                        c = h >> 1,
                        l = 5960464477539062e-23 * (23 === o),
                        p = n ? 0 : i - 1,
                        y = n ? 1 : -1,
                        d = +(e < 0 || 0 === e && 1 / e < 0);
                    for (isNaN(e = Math.abs(e)) || e === 1 / 0 ? (a = +!!isNaN(e), f = h) : (f = Math.floor(Math.log(e) / Math.LN2), e * (u = Math.pow(2, -f)) < 1 && (f--, u *= 2), f + c >= 1 ? e += l / u : e += l * Math.pow(2, 1 - c), e * u >= 2 && (f++, u /= 2), f + c >= h ? (a = 0, f = h) : f + c >= 1 ? (a = (e * u - 1) * Math.pow(2, o), f += c) : (a = e * Math.pow(2, c - 1) * Math.pow(2, o), f = 0)); o >= 8; t[r + p] = 255 & a, p += y, a /= 256, o -= 8);
                    for (f = f << o | a, s += o; s > 0; t[r + p] = 255 & f, p += y, f /= 256, s -= 8);
                    t[r + p - y] |= 128 * d
                }
            }
        },
        o = {};

    function i(t) {
        var e = o[t];
        if (void 0 !== e) return e.exports;
        var r = o[t] = {
                exports: {}
            },
            f = !0;
        try {
            n[t](r, r.exports, i), f = !1
        } finally {
            f && delete o[t]
        }
        return r.exports
    }
    i.ab = "/ROOT/node_modules/.pnpm/next@16.2.6_@babel+core@7.29.0_@opentelemetry+api@1.9.1_babel-plugin-react-compiler@1.0_010f4035fa80b5f36590678868a3e0b1/node_modules/next/dist/compiled/buffer/", e.exports = i(72)
}, 631222, t => {
    "use strict";
    var e, r, n = t.i(284553);
    let o = n.default.env.NEXT_PUBLIC_MAGIC_KEY || "pk_live_99ABD23F9F1C8266";
    var i = ((e = {}).Mainnet = "mainnet", e.Matic = "matic", e);
    let f = {
            rpcUrls: [`https://polygon-mainnet.g.alchemy.com/v2/${n.default.env.NEXT_PUBLIC_ALCHEMY_DEV_KEY_POLYGON||"mewmTuTYExTSI0lZisD2szwmi35fZY-r"}`],
            chainId: 137,
            explorerUrl: "https://polygonscan.com",
            eoaRpcUrls: ["https://polygon-rpc.com"],
            eoaExplorerUrls: ["https://polygonscan.com"]
        },
        a = n.default.env.NEXT_PUBLIC_MATIC_USDC || "0xC011a7E12a19f7B1f670d46F03B03f3342E82DFB",
        u = n.default.env.NEXT_PUBLIC_USDCE_ADDRESS || "0x2791Bca1f2de4661ED88A30C99A7a9449Aa84174",
        s = n.default.env.NEXT_PUBLIC_COLLATERAL_ONRAMP || "0x93070a847efEf7F70739046A929D47a521F5B8ee",
        h = n.default.env.NEXT_PUBLIC_COLLATERAL_ADAPTER || "0xAdA100Db00Ca00073811820692005400218FcE1f",
        c = n.default.env.NEXT_PUBLIC_NEG_RISK_COLLATERAL_ADAPTER || "0xadA2005600Dec949baf300f4C6120000bDB6eAab",
        l = n.default.env.NEXT_PUBLIC_PROXY_WALLET_FACTORY_ADDRESS || "0xaB45c5A4B0c941a2F231C04C3f49182e1A254052",
        p = n.default.env.NEXT_PUBLIC_USER_PNL_URL ? ? "https://user-pnl-api.polymarket.com",
        y = parseFloat("1.5"),
        d = Number(10 n ** BigInt(3) * 5 n);
    n.default.env.NEXT_PUBLIC_SLACK_WEBOOK_URI;
    var g = ((r = {})[r.polygon = 0] = "polygon", r);
    let E = Number.parseFloat("20"),
        A = n.default.env.NEXT_PUBLIC_CLOB_WEBSOCKET_URL ? ? "wss://ws-subscriptions-frontend-clob.polymarket.com/ws",
        b = `${A}/user`,
        m = `${A}/market`,
        v = n.default.env.NEXT_PUBLIC_LIVE_DATA_WEBSOCKET_URL ? ? "wss://ws-live-data.polymarket.com",
        _ = ["0x11FAe40C66A22907A51C9b248e3dadD57e161f58", "0x505dA8075DB50c4FE971AACF4B56cEa1289C87B2", "0x741dCBf582f36f8f69BfD7a415BCCAC642D9C576", "0x56ac4f06C203d9dcFb1bC23a0aB06995de35de67", "0xC5C2918B13cF2d9996b759E8A72081BD87e6c423", "0x74Cb38Db8b79db9FAe2aA936c863092E940700b6", "0x4B27447b0370371B9e2b25Be6845d7F144CeC899", "0x0682990de7b862979A3cf330a1B088412eCefD43", "0x01B5011D599909c62dF4d8d5A9cA23D2663D4806", "0x8592b52e3e2937d791a14b2e2ba0d02276fab379"].reduce((t, e) => (t[e] || (t[e.toLowerCase()] = !0), t), {});
    t.s(["AUTO_REDEEM_OPERATOR", 0, "0xF3cFb6a6eBFeB51876289Eb235719EB1C65252B0", "CLOB_API_URL", 0, "https://clob.polymarket.com", "CLOB_FEE_SLIPPAGE", 0, 0 === E || E >= 1 && E <= 100 ? E : 20, "COLLATERAL_ADAPTER_ADDRESS", 0, h, "COLLATERAL_ONRAMP_ADDRESS", 0, s, "CONDITIONAL_TOKENS_ADDRESS", 0, "0x4D97DCd97eC945f40cF65F87097ACe5EA0476045", "CRYPTO_SHORT_DURATION_DEFAULT_SLIPPAGE_LIMIT", 0, 10, "CURRENT_ORIGIN", 0, "https://polymarket.com", "DATA_API", 0, "https://data-api.polymarket.com", "DEFAULT_SLIPPAGE_LIMIT", 0, y, "DUST_DISPLAY_FACTOR", 0, 1.2, "GAMMA_API_URL", 0, "https://gamma-api.polymarket.com", "GEOBLOCKING_ACTIVE", 0, "true", "LIVE_DATA_WEBSOCKET_URL", 0, v, "MAGIC_KEY", 0, o, "MATIC_CONFIG", 0, f, "NEG_RISK_COLLATERAL_ADAPTER_ADDRESS", 0, c, "NEG_RISK_UMA_CTF_ADAPTER_ADDRESS", 0, "0x2F5e3684cb1F318ec51b00Edba38d79Ac2c0aA9d", "NEG_RISK_UMA_CTF_ADAPTER_V4_ADDRESS", 0, "0x69c47De9D4D3Dad79590d61b9e05918E03775f24", "Network", () => i, "OLD_AUTO_REDEEM_OPERATOR", 0, "0x05cD9922A5d37faE921Fc5Dee280A9dBc4C3b393", "OLD_REWARDS_CONTRACT_ADDRESS", 0, "0xf7cD89BE08Af4D4D6B1522852ceD49FC10169f64", "POLYMARKET_DOCS_LINK", 0, "https://docs.polymarket.com", "POLYMARKET_HELP_CENTER_LINK", 0, "https://help.polymarket.com", "POLYMARKET_NEWS_LINK", 0, "https://news.polymarket.com", "POLYMARKET_SOCIAL_LINKS", 0, {
        email: "mailto:hello@polymarket.com",
        twitter: "https://x.com/Polymarket",
        instagram: "https://www.instagram.com/polymarket",
        discord: "https://discord.gg/Polymarket",
        tiktok: "https://www.tiktok.com/@polymarket"
    }, "POLYMARKET_TOS_LINK", 0, "https://polymarket.com/tos", "PRICE_CHANGE_WARNING_CLOB", 0, .1, "PROXY_WALLET_FACTORY_ADDRESS", 0, l, "REWARDS_CONTRACT_ADDRESS", 0, "0xdd8Db71Ce3BE8d71ff148b2163D64Da181a29e8B", "SAFE_INIT_CODE_HASH", 0, "0x2bce2127ff07fb632d16c8347c4ebf501f4841168bed00d9e6ef715ddb6fcecf", "SELL_MAX_DUST", 0, d, "UMA_CTF_ADAPTER_V1_ADDRESS", 0, "0xCB1822859cEF82Cd2Eb4E6276C7916e692995130", "UMA_CTF_ADAPTER_V2_ADDRESS", 0, "0x6A9D222616C90FcA5754cd1333cFD9b7fb6a4F74", "UMA_CTF_ADAPTER_V3_ADDRESS", 0, "0x157Ce2d672854c848c9b79C49a8Cc6cc89176a49", "UMA_CTF_ADAPTER_V4_ADDRESS", 0, "0x65070BE91477460D8A7AeEb94ef92fe056C2f2A7", "UMA_OO_DAPP", 0, "https://oracle.uma.xyz/", "USDCE_ADDRESS", 0, u, "USDC_ADDRESS", 0, a, "USDC_DECIMALS", 0, 6, "USER_PNL_URL", 0, p, "V2_RELAYER_URL", 0, "https://relayer-v2.polymarket.com", "VERCEL_ENV", 0, "production", "WAGMI_CHAIN_INDICES", () => g, "WEBSOCKET_MARKET", 0, m, "WEBSOCKET_USER", 0, b, "chainConfig", 0, {
        42: {
            name: "Kovan",
            exchange: "0xE7819d9745e64c14541732ca07CC3898670b7650",
            collateral: "0xe22da380ee6B445bb8273C81944ADEB6E8450422",
            conditional: "0x",
            negRiskAdapter: "0x",
            negRiskExchange: "0x"
        },
        137: {
            name: "Polygon",
            exchange: "0xE111180000d2663C0091e4f400237545B87B996B",
            collateral: a,
            conditional: "0x4D97DCd97eC945f40cF65F87097ACe5EA0476045",
            negRiskAdapter: "0xd91E80cF2E7be2e162c6513ceD06f1dD0dA35296",
            negRiskExchange: "0xe2222d279d744050d28e00520010520000310F59",
            collateralOnramp: s
        },
        80001: {
            name: "Mumbai",
            exchange: "0x4bFb41d5B3570DeFd03C39a9A4D8dE6Bd8B8982E",
            collateral: "0x2E8DCfE708D44ae2e406a1c02DFE2Fa13012f961",
            conditional: "0x7D8610E9567d2a6C9FBf66a5A13E9Ba8bb120d43",
            negRiskAdapter: "0x9A6930BB811fe3dFE1c35e4502134B38EC54399C",
            negRiskExchange: "0x87d1A0DdB4C63a6301916F02090A51a7241571e4"
        }
    }, "internalTestProxyAddresses", 0, _])
}, 785364, 972727, 26148, t => {
    "use strict";
    var e = t.g && t.g.Object === Object && t.g;
    t.s(["default", 0, e], 972727);
    var r = "object" == typeof self && self && self.Object === Object && self,
        n = e || r || Function("return this")();
    t.s(["default", 0, n], 26148);
    var o = n.Symbol;
    t.s(["default", 0, o], 785364)
}, 610244, 796755, 6251, t => {
    "use strict";
    var e = t.i(785364),
        r = Object.prototype,
        n = r.hasOwnProperty,
        o = r.toString,
        i = e.default ? e.default.toStringTag : void 0;
    let f = function(t) {
        var e = n.call(t, i),
            r = t[i];
        try {
            t[i] = void 0;
            var f = !0
        } catch (t) {}
        var a = o.call(t);
        return f && (e ? t[i] = r : delete t[i]), a
    };
    var a = Object.prototype.toString,
        u = e.default ? e.default.toStringTag : void 0;
    let s = function(t) {
        return null == t ? void 0 === t ? "[object Undefined]" : "[object Null]" : u && u in Object(t) ? f(t) : a.call(t)
    };
    t.s(["default", 0, s], 796755);
    let h = function(t) {
        return null != t && "object" == typeof t
    };
    t.s(["default", 0, h], 6251), t.s(["default", 0, function(t) {
        return "symbol" == typeof t || h(t) && "[object Symbol]" == s(t)
    }], 610244)
}, 969676, t => {
    "use strict";
    t.s(["default", 0, function(t, e) {
        for (var r = -1, n = null == t ? 0 : t.length, o = Array(n); ++r < n;) o[r] = e(t[r], r, t);
        return o
    }])
}, 660154, t => {
    "use strict";
    var e = Array.isArray;
    t.s(["default", 0, e])
}]);

//# debugId=53268d17-4187-abde-2df3-ae6d309a4340